com.dlsc.flexgantt.swing.action.gantt

## Class AbstractGanttChartAction<T extends AbstractGanttChart>

- java.lang.Object
- - javax.swing.AbstractAction
  - - com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction
    - - com.dlsc.flexgantt.swing.action.gantt.AbstractGanttChartAction<T>

- Type Parameters:
    `T` - the type of the Gantt chart
  All Implemented Interfaces:
    ActionListener, Serializable, Cloneable, EventListener, Action
  Direct Known Subclasses:
    AbstractPrintAction, AddHighlightedTimelineObjectsAction, AlignEndTimesAction, AlignStartTimesAction, AllObjectsAction, ClearHighlightedTimelineObjectsAction, ClearPinnedPopupsAction, CollapseAllAction, CrosshairAction, DeleteNodeAction, DeleteTimelineObjectAction, EarliestObjectsAction, ExpandAllAction, GridAction, IndentNodeAction, InsertNodeAction, LatestObjectsAction, MoveFocusAction, OutdentNodeAction, PopupAction, RedoAction, RelationshipsAction, RemoveHighlightedTimelineObjectsAction, RemoveSortingAction, SelectRowsAction, SplitGanttChartAction, TimeNowAction, ToggleNodeAction, UndoAction

      public abstract class AbstractGanttChartAction<T extends AbstractGanttChart>
      extends AbstractFlexGanttAction

  An abstract action implementation that is specialized on performing operations on a Gantt chart. The class provides methods for setting and getting a reference to a Gantt chart.
  Since:
    1.0
  Version:
    $Revision: 1.4 $
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected T` | `ganttChart` Stores a reference to the Gantt chart.

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractGanttChartAction(T gc, String name)` Constructs a new Gant chart action.
    `protected` | `AbstractGanttChartAction(T gc, String name, Icon icon)` Constructs a new Gant chart action.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected TreeTable` | `findFocusedTable()` Returns the currently focused tree table.
    `T` | `getGanttChart()` Returns the Gantt chart associated with the action.
    `void` | `setGanttChart(T gc)` Sets a new Gantt chart to be used for performing the action.

    - ### Methods inherited from class com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction

      `getToolTipText, setToolTipText`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.event.ActionListener

      `actionPerformed`

- - ### Field Detail

    - #### ganttChart

          protected T extends AbstractGanttChart ganttChart

      Stores a reference to the Gantt chart.
      Since:
        1.0
      See Also:
        `setGanttChart(AbstractGanttChart)`, `getGanttChart()`

  - ### Constructor Detail

    - #### AbstractGanttChartAction

          protected AbstractGanttChartAction(T gc,
                                             String name,
                                             Icon icon)

      Constructs a new Gant chart action.
      Parameters:
        `gc` - the Gantt chart on which to perform the action
        `name` - the name of the action
        `icon` - a graphical representation of the action
      Since:
        1.0

    - #### AbstractGanttChartAction

          protected AbstractGanttChartAction(T gc,
                                             String name)

      Constructs a new Gant chart action.
      Parameters:
        `gc` - the Gantt chart on which to perform the action
        `name` - the name of the action
      Since:
        1.0

  - ### Method Detail

    - #### setGanttChart

          public void setGanttChart(T gc)

      Sets a new Gantt chart to be used for performing the action.
      Parameters:
        `gc` - the Gantt chart on which to perform the action
      Since:
        1.0

    - #### getGanttChart

          public T getGanttChart()

      Returns the Gantt chart associated with the action.
      Returns:
        the Gantt chart on which the action will be performed
      Since:
        1.0

    - #### findFocusedTable

          protected TreeTable findFocusedTable()

      Returns the currently focused tree table.
      Returns:
        the tree table, which is the focus owner
      Since:
        1.1

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.